APIEndpoint referenceProps

/props/saved-filters

The type cannot be changed: a filter saved for one screen would not be understood by another.

PUT
/api/v2/props/saved-filters

The type cannot be changed: a filter saved for one screen would not be understood by another.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://example.com/api/v2/props/saved-filters" \  -H "Content-Type: application/json" \  -d '{    "filters": null,    "id": 0,    "name": "string"  }'
{  "$schema": "https://example.com/schemas/PropsSavedFiltersUpdateOKBody.json",  "data": {    "createdAt": "string",    "filters": null,    "id": 0,    "name": "string",    "type": "string",    "updatedAt": "string"  }}